import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import { BadgePositionType, BadgeStatusType } from './badge.types';
import * as i0 from "@angular/core";
export declare class BadgeComponent implements AfterViewInit {
    private cdr;
    hasContent: boolean;
    contentProjection?: ElementRef;
    count: number | string;
    maxCount: number;
    showDot: boolean;
    status: BadgeStatusType;
    /**
     * @deprecated
     * 用position替代
     */
    set badgePos(value: BadgePositionType);
    position: BadgePositionType;
    /**
     * @deprecated
     * 用offset替代
     */
    set offsetXY(value: [number, number]);
    offset: [number, number];
    bgColor: string;
    textColor: string;
    hasContentProjection(): void;
    parseCountToNumber(): number;
    constructor(cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeComponent, "d-badge", never, { "count": "count"; "maxCount": "maxCount"; "showDot": "showDot"; "status": "status"; "badgePos": "badgePos"; "position": "position"; "offsetXY": "offsetXY"; "offset": "offset"; "bgColor": "bgColor"; "textColor": "textColor"; }, {}, never, ["*"], false, never>;
}
