import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { DragDropService } from '../services/drag-drop.service';
import * as i0 from "@angular/core";
export declare class DragPreviewCloneDomRefComponent implements AfterViewInit, OnChanges, OnDestroy {
    private el;
    private cdr;
    private dragDropService;
    domRef: HTMLElement;
    copyStyle: boolean;
    cloneNode: any;
    constructor(el: ElementRef, cdr: ChangeDetectorRef, dragDropService: DragDropService);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    createView(): void;
    destroyView(): void;
    updateTemplate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragPreviewCloneDomRefComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DragPreviewCloneDomRefComponent, "d-drag-preview-clone-dom-ref", never, { "domRef": "domRef"; "copyStyle": "copyStyle"; }, {}, never, never, false, never>;
}
