import { ComponentFactoryResolver, TemplateRef } from '@angular/core';
import { OverlayContainerRef } from 'ng-devui/overlay-container';
import { DragDropService } from '../services/drag-drop.service';
import * as i0 from "@angular/core";
export declare class DragPreviewDirective {
    private componentFactoryResolver;
    private overlayContainerRef;
    private dragDropService;
    dragPreviewTemplate: TemplateRef<any>;
    dragPreviewData: any;
    dragPreviewOptions: {
        skipBatchPreview: boolean;
    };
    previewRef: any;
    constructor(componentFactoryResolver: ComponentFactoryResolver, overlayContainerRef: OverlayContainerRef, dragDropService: DragDropService);
    createPreview(): any;
    updateData(): void;
    destroyPreview(): void;
    getPreviewElement(): any;
    private getDragSyncDOMElements;
    static ɵfac: i0.ɵɵFactoryDeclaration<DragPreviewDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DragPreviewDirective, "[dDraggable][dDragPreview]", ["dDragPreview"], { "dragPreviewTemplate": "dDragPreview"; "dragPreviewData": "dragPreviewData"; "dragPreviewOptions": "dragPreviewOptions"; }, {}, never, never, false, never>;
}
