import { AnimationBuilder, AnimationPlayer } from '@angular/animations';
import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { WindowRef } from 'ng-devui/window-ref';
import { Subscription } from 'rxjs';
import { DropDownDirective } from './dropdown.directive';
import * as i0 from "@angular/core";
export declare class DropDownMenuDirective implements OnInit, OnDestroy {
    private dropdown;
    private el;
    private render;
    private windowRef;
    private builder;
    private doc;
    player: AnimationPlayer;
    display: string;
    tabIndex: number;
    addClass: boolean;
    subscription: Subscription;
    keydownEscapeEvent$: any;
    keydownEscapeSub: Subscription;
    popDirectionCache: 'top' | 'bottom';
    private currentValue;
    constructor(dropdown: DropDownDirective, el: ElementRef, render: Renderer2, windowRef: WindowRef, builder: AnimationBuilder, doc: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    calcPopDirection(value: any): "top" | "bottom";
    mouseEnter(event: MouseEvent): void;
    mouseLeave(event: MouseEvent): boolean;
    private fadeIn;
    hide: (event: Event) => void;
    private fadeOut;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownMenuDirective, [{ host: true; }, null, null, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropDownMenuDirective, "[dDropDownMenu]", ["d-dropdown-menu"], {}, {}, never, never, false, never>;
}
