import { ChangeDetectorRef, ElementRef, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { DFormControlStatus } from './validator-directive/validate.type';
import * as i0 from "@angular/core";
export declare class FormControlComponent implements OnInit {
    private elementRef;
    private cdr;
    extraInfo: string | TemplateRef<any>;
    get extraInfoTemplate(): TemplateRef<any>;
    errorMessage: string;
    feedbackStatus: DFormControlStatus | null;
    suffixTemplate: TemplateRef<any>;
    get status(): boolean;
    get suffix(): boolean;
    /**
     * @desc Compatible with z-index of components that include dropdown menu, will be remove.
     *
     */
    get dropdownOpen(): boolean;
    constructor(elementRef: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    updateErrorMessage(message: string): void;
    updateFeedbackStatus(status: DFormControlStatus | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormControlComponent, "d-form-control", never, { "extraInfo": "extraInfo"; "feedbackStatus": "feedbackStatus"; "suffixTemplate": "suffixTemplate"; }, {}, never, ["*"], false, never>;
}
