import { EventEmitter, OnInit } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import { UnitRole } from '../gantt.model';
import * as i0 from "@angular/core";
export declare class GanttToolsComponent implements OnInit {
    private i18n;
    set currentUnit(val: string);
    get currentUnit(): string;
    isFullScreen: boolean;
    goToday: EventEmitter<any>;
    reduceUnit: EventEmitter<any>;
    increaseUnit: EventEmitter<any>;
    switchView: EventEmitter<any>;
    unitRole: typeof UnitRole;
    get currentUnitLabel(): string;
    _currentLabel: string;
    _currentUnit: string;
    views: {
        label: string;
        value: string;
    }[];
    i18nText: I18nInterface['gantt'];
    i18nLocale: I18nInterface['locale'];
    i18nSubscription: Subscription;
    constructor(i18n: I18nService);
    ngOnInit(): void;
    avtionHandle(type: any): void;
    selectView(menu: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GanttToolsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GanttToolsComponent, "d-gantt-tools", never, { "currentUnit": "currentUnit"; "isFullScreen": "isFullScreen"; }, { "goToday": "goToday"; "reduceUnit": "reduceUnit"; "increaseUnit": "increaseUnit"; "switchView": "switchView"; }, never, ["*"], false, never>;
}
