import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class I18nDatePipe implements PipeTransform {
    /**
     * 使用方式参考：{{dateObj | i18nDate:'full':false}} 参数可选
     * @param value 日期表达式，字符串、数字或者日期对象.
     * @param format 格式化表达式, 使用 'full','short'或者自定义格式化表达式.
     * @param withGMT 是否包含GMT信息，默认包含，只对完整日期有效
     * @returns 返回格式化后的字符串.
     */
    transform(value: string | number | Date, format?: string, withGMT?: boolean): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<I18nDatePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<I18nDatePipe, "i18nDate", false>;
}
