import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import { TransformableElement } from './transformable-element';
import * as i0 from "@angular/core";
export declare class DImagePreviewComponent implements OnInit, OnDestroy {
    private elementRef;
    private i18n;
    private doc;
    _data: any;
    set data(data: any);
    get data(): any;
    transformableImageElementRef: TransformableElement;
    images: HTMLElement[];
    isOptimal: boolean;
    targetImageIndex: number;
    totalImageNum: number;
    showInput: boolean;
    onClose: () => void;
    i18nText: I18nInterface['imagePreview'];
    i18nSubscription: Subscription;
    document: Document;
    get targetImageSrc(): string;
    constructor(elementRef: ElementRef, i18n: I18nService, doc: any);
    click($event: any): void;
    touchstart($event: any): void;
    touchmove($event: any): void;
    touchend($event: any): void;
    arrowLeft(): void;
    arrowRight(): void;
    ngOnInit(): void;
    setI18nText(): void;
    ngOnDestroy(): void;
    pre(): void;
    next(): void;
    zoomIn(): void;
    zoomOut(): void;
    rotate(): void;
    setScaleBest(): void;
    setScaleOriginal(): void;
    getOriginalImage(): void;
    inputChange($event: any): void;
    private addFullScreenStyle;
    private removeFullScreenStyle;
    private getImgElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<DImagePreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DImagePreviewComponent, "d-image-preview", never, { "data": "data"; }, {}, never, never, false, never>;
}
