import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ModalService } from 'ng-devui/modal';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ImagePreviewDirective implements OnInit, OnDestroy {
    private elementRef;
    private modalService;
    constructor(elementRef: ElementRef, modalService: ModalService);
    customSub: Subject<HTMLElement>;
    disableDefault: boolean;
    zIndex: number;
    backDropZIndex: number;
    get defaultClasses(): boolean;
    onClick($event: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    imagePreView(imageHTMLElement: HTMLElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImagePreviewDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ImagePreviewDirective, "[dImagePreview]", never, { "customSub": "customSub"; "disableDefault": "disableDefault"; "zIndex": "zIndex"; "backDropZIndex": "backDropZIndex"; }, {}, never, never, false, never>;
}
