import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { DResponseParameter } from './layout.types';
import { DScreenMediaQueryService } from './screen-media-query.service';
import * as i0 from "@angular/core";
export declare class DClassDirective implements OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private screenQueryService;
    dClass: DResponseParameter<string[]>;
    private destroy$;
    private executedClassList;
    constructor(elementRef: ElementRef, renderer: Renderer2, screenQueryService: DScreenMediaQueryService);
    ngAfterViewInit(): void;
    updateClass(currentPoint: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DClassDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DClassDirective, "[dClass]", never, { "dClass": "dClass"; }, {}, never, never, false, never>;
}
