import { AfterViewInit, ElementRef, OnChanges, OnDestroy, Renderer2 } from '@angular/core';
import { DAlign, DAlignSelf, DJustify, DResponseParameter } from './layout.types';
import { DScreenMediaQueryService } from './screen-media-query.service';
import * as i0 from "@angular/core";
export declare class DFlexDirective implements OnChanges, OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private screenQueryService;
    get flexRow(): boolean;
    get flexColumn(): boolean;
    get flex(): boolean;
    dFlex: DResponseParameter<number | string>;
    dFlexContainer: 'row' | 'column';
    dOrder: DResponseParameter<number>;
    dAlign: DResponseParameter<DAlign>;
    dAlignSelf: DResponseParameter<DAlignSelf>;
    dJustify: DResponseParameter<DJustify>;
    dFlexWrap: DResponseParameter<string>;
    private destroy$;
    constructor(elementRef: ElementRef, renderer: Renderer2, screenQueryService: DScreenMediaQueryService);
    ngAfterViewInit(): void;
    parseFlex(flex: any): string;
    updateFlex(currentPoint: any): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DFlexDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DFlexDirective, "[dFlex], d-row, d-col", never, { "dFlex": "dFlex"; "dFlexContainer": "dFlexContainer"; "dOrder": "dOrder"; "dAlign": "dAlign"; "dAlignSelf": "dAlignSelf"; "dJustify": "dJustify"; "dFlexWrap": "dFlexWrap"; }, {}, never, never, false, never>;
}
