import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { DResponseParameter } from './layout.types';
import { DScreenMediaQueryService } from './screen-media-query.service';
import * as i0 from "@angular/core";
export declare class DSpaceDirective implements OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private screenQueryService;
    private destroy$;
    private executedSpace;
    dSpace: DResponseParameter<number | [number, number]>;
    dSpaceDirection: DResponseParameter<'vertical' | 'horizontal'>;
    constructor(elementRef: ElementRef, renderer: Renderer2, screenQueryService: DScreenMediaQueryService);
    ngAfterViewInit(): void;
    private getCurrentSpace;
    private _transSpaceToArray;
    updateSpace(currentPoint: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DSpaceDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DSpaceDirective, "[dSpace]", never, { "dSpace": "dSpace"; "dSpaceDirection": "dSpaceDirection"; }, {}, never, never, false, never>;
}
