import { OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { LoadingStyle } from './loading.types';
import * as i0 from "@angular/core";
export declare class LoadingComponent implements OnInit, OnChanges {
    loadingTemplateRef: TemplateRef<any>;
    message: string;
    top: string;
    left: string;
    customPosition: boolean;
    target: Element;
    zIndex: number;
    loadingStyle: LoadingStyle;
    targetName: string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoadingComponent, "d-loading", never, { "loadingTemplateRef": "loadingTemplateRef"; "message": "message"; "top": "top"; "left": "left"; "customPosition": "customPosition"; "target": "target"; "zIndex": "zIndex"; "loadingStyle": "loadingStyle"; }, {}, never, never, false, never>;
}
