import { ComponentFactoryResolver, RendererFactory2 } from '@angular/core';
import { OverlayContainerRef } from 'ng-devui/overlay-container';
import { LoadingBackdropComponent } from './loading-backdrop.component';
import { LoadingComponent } from './loading.component';
import { ILoadingOptions } from './loading.types';
import * as i0 from "@angular/core";
export declare class LoadingService {
    private overlayContainerRef;
    private componentFactoryResolver;
    private rendererFactory;
    private doc;
    private renderer;
    document: Document;
    constructor(overlayContainerRef: OverlayContainerRef, componentFactoryResolver: ComponentFactoryResolver, rendererFactory: RendererFactory2, doc: any);
    open({ target, backdrop, message, loadingTemplateRef, positionType, view, injector, zIndex, loadingStyle }?: ILoadingOptions): {
        loadingInstance: LoadingComponent;
        backdropInstance: LoadingBackdropComponent;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<LoadingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LoadingService>;
}
