import { ComponentFactoryResolver, RendererFactory2 } from '@angular/core';
import { OverlayContainerRef } from 'ng-devui/overlay-container';
import { DevConfigService } from 'ng-devui/utils';
import { ModalComponent } from './modal.component';
import { IModalOptions } from './modal.types';
import * as i0 from "@angular/core";
export declare class ModalService {
    private componentFactoryResolver;
    private overlayContainerRef;
    private rendererFactory;
    private devConfigService;
    private doc;
    private renderer;
    document: Document;
    constructor(componentFactoryResolver: ComponentFactoryResolver, overlayContainerRef: OverlayContainerRef, rendererFactory: RendererFactory2, devConfigService: DevConfigService, doc: any);
    open({ id, component, injector, width, zIndex, backDropZIndex, data, handler, showAnimation, 
    /**
     * @deprecated
     */
    showAnimate, backdropCloseable, componentFactoryResolver, onClose, beforeHidden, placement, offsetX, offsetY, bodyScrollable, contentTemplate, escapable, cssClass }: IModalOptions): {
        modalInstance: ModalComponent;
        modalContentInstance: any;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
