import { EventEmitter } from '@angular/core';
import { DevConfigService } from 'ng-devui/utils';
import { Observable } from 'rxjs';
import { PanelType } from './panel.types';
import * as i0 from "@angular/core";
export declare class PanelComponent {
    private devConfigService;
    type: PanelType;
    cssClass: string;
    isCollapsed: boolean;
    hasLeftPadding: boolean;
    showAnimation: boolean;
    beforeToggle: (value: any) => boolean | Promise<boolean> | Observable<boolean>;
    toggle: EventEmitter<boolean>;
    panelHeader: any;
    panelFooter: any;
    panelBody: any;
    constructor(devConfigService: DevConfigService);
    toggleBody(): void;
    canToggle(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PanelComponent, "d-panel", never, { "type": "type"; "cssClass": "cssClass"; "isCollapsed": "isCollapsed"; "hasLeftPadding": "hasLeftPadding"; "showAnimation": "showAnimation"; "beforeToggle": "beforeToggle"; }, { "toggle": "toggle"; }, ["panelHeader", "panelFooter", "panelBody"], ["d-panel-header", "*", "d-panel-footer", "d-panel-body"], false, never>;
}
