import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { DevConfigService } from 'ng-devui/utils';
import * as i0 from "@angular/core";
export declare class TextareaDirective implements AfterViewInit, OnDestroy {
    private devConfigService;
    private el;
    private render;
    maxLengthBlocker: boolean;
    resize: 'none' | 'vertical' | 'horizontal' | 'both' | 'inherit';
    error: boolean;
    styleType: string;
    get gray(): boolean;
    checkMaxLength: any;
    constructor(devConfigService: DevConfigService, el: ElementRef, render: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TextareaDirective, "[dTextarea]", ["dTextarea"], { "maxLengthBlocker": "maxLengthBlocker"; "resize": "resize"; "error": "error"; "styleType": "styleType"; }, {}, never, never, false, never>;
}
