import { EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class UploadedFilesComponent implements OnDestroy, OnInit {
    private i18n;
    uploadedFiles: Array<Object>;
    uploadedFilesRef: TemplateRef<any>;
    filePath: string;
    deleteUploadedFileEvent: EventEmitter<any>;
    i18nText: I18nInterface['upload'];
    i18nSubscription: Subscription;
    constructor(i18n: I18nService);
    ngOnInit(): void;
    cleanUploadedFiles(): void;
    addAndOverwriteFile(file: Object): void;
    addFile(file: Object): void;
    deleteFile(filePath: string): void;
    deleteFileProxy: (filePath: any) => void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadedFilesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadedFilesComponent, "d-uploaded-files", ["dUploadFiles"], { "uploadedFiles": "uploadedFiles"; "uploadedFilesRef": "uploadedFilesRef"; "filePath": "filePath"; }, { "deleteUploadedFileEvent": "deleteUploadedFileEvent"; }, never, never, false, never>;
}
