import { AfterViewInit, ComponentFactoryResolver, ComponentRef, OnDestroy, OnInit } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { OverlayContainerRef } from 'ng-devui/overlay-container';
import { Subscription } from 'rxjs';
import { UserGuideCoreService } from './user-guide-core.service';
import { UserGuideUIComponent } from './user-guide-ui.component';
import * as i0 from "@angular/core";
export declare class UserGuideComponent implements OnInit, AfterViewInit, OnDestroy {
    private componentFactoryResolver;
    private overlayContainerRef;
    private userGuideCoreService;
    private i18n;
    steps: any;
    userGuideEntrancePosition: {
        bottom: string;
        left: string;
    };
    showUserGuideEntrance: boolean;
    firstOpenShow: string;
    i18nCommonText: I18nInterface['userGuide'];
    i18nSubscription: Subscription;
    private currentTutorial;
    modalRef: ComponentRef<UserGuideUIComponent>;
    constructor(componentFactoryResolver: ComponentFactoryResolver, overlayContainerRef: OverlayContainerRef, userGuideCoreService: UserGuideCoreService, i18n: I18nService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    start(index: number): void;
    goStep(index: number): void;
    createGuide(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserGuideComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserGuideComponent, "d-user-guide", never, { "steps": "steps"; "userGuideEntrancePosition": "userGuideEntrancePosition"; "showUserGuideEntrance": "showUserGuideEntrance"; }, {}, never, never, false, never>;
}
