import { ComponentFactoryResolver, ComponentRef } from '@angular/core';
import { OverlayContainerRef } from 'ng-devui/overlay-container';
import { UserGuideCoreService } from './user-guide-core.service';
import { UserGuideUIComponent } from './user-guide-ui.component';
import * as i0 from "@angular/core";
export declare class UserGuideService {
    private componentFactoryResolver;
    private overlayContainerRef;
    private userGuideCoreService;
    private steps;
    private currentTutorial;
    private firstOpenShow;
    modalRef: ComponentRef<UserGuideUIComponent>;
    constructor(componentFactoryResolver: ComponentFactoryResolver, overlayContainerRef: OverlayContainerRef, userGuideCoreService: UserGuideCoreService);
    setSteps(steps: any): void;
    start(index: number): void;
    goStep(index: number): void;
    createGuide(index: number): void;
    showDot(item: string): void;
    removeDot(): void;
    updateCurrentStepElement(): void;
    getCurrentStep(): any;
    getCurrentDirection(): any;
    exit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserGuideService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserGuideService>;
}
