import { EventEmitter } from '@angular/core';
import { AlertType } from './alert.types';
import * as i0 from "@angular/core";
export declare class AlertComponent {
    type: AlertType;
    cssClass: string;
    closeable: boolean;
    /**
     * @deprecated
     */
    content: HTMLElement | string;
    showIcon: boolean;
    closeEvent: EventEmitter<AlertComponent>;
    set dismissTime(time: any);
    hide: boolean;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "d-alert", never, { "type": "type"; "cssClass": "cssClass"; "closeable": "closeable"; "content": "content"; "showIcon": "showIcon"; "dismissTime": "dismissTime"; }, { "closeEvent": "closeEvent"; }, never, ["*"], false, never>;
}
