import * as i0 from "@angular/core";
export declare class CardContentDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardContentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardContentDirective, "d-card-content, [dCardContent]", never, {}, {}, never, never, false, never>;
}
export declare class CardTitleDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardTitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardTitleDirective, "d-card-title, [dCardTitle]", never, {}, {}, never, never, false, never>;
}
export declare class CardSubtitleDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardSubtitleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardSubtitleDirective, "d-card-subtitle, [dCardSubtitle]", never, {}, {}, never, never, false, never>;
}
export declare class CardActionsDirective {
    align: 'start' | 'end' | 'spaceBetween';
    default: boolean;
    get alignEnd(): boolean;
    get alignSpaceBetween(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardActionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardActionsDirective, "d-card-actions,[dCardActions]", ["dCardActions"], { "align": "align"; }, {}, never, never, false, never>;
}
export declare class CardMetaDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardMetaDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardMetaDirective, "[dCardMeta]", ["dCardMeta"], {}, {}, never, never, false, never>;
}
export declare class CardAvatarDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardAvatarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CardAvatarDirective, "[dCardAvatar]", never, {}, {}, never, never, false, never>;
}
export declare class CardComponent {
    default: boolean;
    interactive: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardComponent, "d-card", ["dCard"], { "interactive": "interactive"; }, {}, never, ["*"], false, never>;
}
export declare class CardHeaderComponent {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardHeaderComponent, "d-card-header", never, {}, {}, never, ["[d-card-avatar], [dCardAvatar]", "d-card-title, d-card-subtitle,\n      [d-card-title], [d-card-subtitle],\n      [dCardTitle], [dCardSubtitle]"], false, never>;
}
export declare class CardExtendComponent {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CardExtendComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CardExtendComponent, "d-card-extend", never, {}, {}, never, never, false, never>;
}
