import { ChangeDetectorRef, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { FormControlComponent } from './form-control.component';
import { FormLabelComponent } from './form-label.component';
import { DFormControlStatus } from './validator-directive/validate.type';
import * as i0 from "@angular/core";
export declare class FormItemComponent implements OnInit {
    private cdr;
    _hasErrorMsg: boolean;
    /**
     * @deprecated Use dHasFeedback to replace, No longer support for label
     */
    dFeedbackType: 'label' | 'control';
    dHasFeedback: boolean;
    controlInstance: FormControlComponent;
    labelInstance: FormLabelComponent;
    constructor(elementRef: ElementRef, renderer: Renderer2, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    updateFeedback(status: DFormControlStatus | null, updateMessage: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormItemComponent, "d-form-item", never, { "dFeedbackType": "dFeedbackType"; "dHasFeedback": "dHasFeedback"; }, {}, ["controlInstance", "labelInstance"], ["*"], false, never>;
}
