import { ElementRef, NgZone, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IconComponent implements OnInit, OnDestroy {
    private ngZone;
    private elementRef;
    icon: string | TemplateRef<any>;
    operable: boolean;
    disabled: boolean;
    rotate: number | 'infinite';
    color: string;
    private destroy$;
    get template(): TemplateRef<any>;
    constructor(ngZone: NgZone, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "d-icon", never, { "icon": "icon"; "operable": "operable"; "disabled": "disabled"; "rotate": "rotate"; "color": "color"; }, {}, never, ["[iconPrefix]", "[iconSuffix]"], false, never>;
}
export declare class IconLinkDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconLinkDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconLinkDirective, "d-icon-link, [dIconLink]", never, {}, {}, never, never, false, never>;
}
export declare class IconHoverDirective {
    default: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconHoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconHoverDirective, "d-icon-hover, [dIconHover]", never, {}, {}, never, never, false, never>;
}
