import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { DResponseParameter } from './layout.types';
import { DScreenMediaQueryService } from './screen-media-query.service';
import * as i0 from "@angular/core";
export declare class DGutterDirective implements OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private screenQueryService;
    private destroy$;
    private executedGutter;
    dGutter: DResponseParameter<number | [number, number]>;
    dGutterDirection: 'vertical' | 'horizontal';
    dGutterNoOuter: DResponseParameter<boolean>;
    constructor(elementRef: ElementRef, renderer: Renderer2, screenQueryService: DScreenMediaQueryService);
    ngAfterViewInit(): void;
    private getCurrentGutter;
    private _transGutterToArray;
    updateGutter(currentPoint: any): void;
    updateChildrenGutter(gutter: [number, number]): void;
    updateParentGutter(gutter: [number, number]): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DGutterDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DGutterDirective, "[dGutter]", never, { "dGutter": "dGutter"; "dGutterDirection": "dGutterDirection"; "dGutterNoOuter": "dGutterNoOuter"; }, {}, never, never, false, never>;
}
