import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { DResponseParameter } from './layout.types';
import { DScreenMediaQueryService } from './screen-media-query.service';
import * as i0 from "@angular/core";
export declare class DStyleDirective implements OnDestroy, AfterViewInit {
    private elementRef;
    private renderer;
    private screenQueryService;
    dStyle: DResponseParameter<Object>;
    private destroy$;
    private styleObject;
    constructor(elementRef: ElementRef, renderer: Renderer2, screenQueryService: DScreenMediaQueryService);
    ngAfterViewInit(): void;
    updateStyle(currentPoint: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DStyleDirective, "[dStyle]", never, { "dStyle": "dStyle"; }, {}, never, never, false, never>;
}
