import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MovableDirective implements OnInit, OnChanges {
    el: ElementRef;
    topStart: number;
    leftStart: number;
    _allowDrag: boolean;
    md: boolean;
    handle: HTMLElement;
    moveEl: HTMLElement;
    element: any;
    constructor(el: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onMouseDown(event: MouseEvent): void;
    onMouseUp(event: MouseEvent): void;
    onMouseMove(event: MouseEvent): void;
    onTouchStart(event: any): void;
    onTouchEnd(): void;
    onTouchMove(event: any): void;
    checkHandleTarget: (target: any, element: any) => boolean;
    set allowDrag(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<MovableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MovableDirective, "[dMovable]", never, { "handle": "handle"; "moveEl": "moveEl"; "allowDrag": "dMovable"; }, {}, never, never, false, never>;
}
