import { AfterContentChecked, AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { PositionService } from 'ng-devui/position';
import { PositionType } from 'ng-devui/tooltip';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ReadTipComponent implements OnInit, AfterViewInit, AfterContentChecked, OnDestroy {
    private renderer;
    private positionService;
    elementRef: ElementRef;
    private cdr;
    triggerElementRef: ElementRef;
    position: PositionType | PositionType[];
    content: string | HTMLElement | TemplateRef<any>;
    customData: any;
    title: string | HTMLElement;
    showAnimate: boolean;
    scrollElement: Element;
    appendToBody: boolean;
    zIndex: number;
    popMaxWidth: number;
    overlayClassName: string;
    subs: Subscription;
    SCROLL_REFRESH_INTERVAL: number;
    currentPosition: PositionType;
    connectionBias: string;
    animateState: string;
    get display(): "none" | "block";
    get class(): string;
    get state(): string;
    get template(): TemplateRef<any>;
    constructor(renderer: Renderer2, positionService: PositionService, elementRef: ElementRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentChecked(): void;
    show(): void;
    hide(): void;
    onHidden(): void;
    onAnimationEnd(event: any): void;
    ngOnDestroy(): void;
    updatePosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReadTipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReadTipComponent, "d-read-tip", never, { "triggerElementRef": "triggerElementRef"; "position": "position"; "content": "content"; "customData": "customData"; "title": "title"; "showAnimate": "showAnimate"; "scrollElement": "scrollElement"; "appendToBody": "appendToBody"; "zIndex": "zIndex"; "popMaxWidth": "popMaxWidth"; "overlayClassName": "overlayClassName"; }, {}, never, never, false, never>;
}
