import { AfterViewInit, ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { PositionService } from 'ng-devui/position';
import { Subscription } from 'rxjs';
import { PositionType } from './tooltip.types';
import * as i0 from "@angular/core";
export declare class TooltipComponent implements AfterViewInit, OnDestroy {
    private positionService;
    private tooltip;
    private renderer2;
    content: string;
    _position: PositionType | PositionType[];
    get position(): PositionType | PositionType[];
    set position(pos: PositionType | PositionType[]);
    currentPosition: PositionType;
    triggerElementRef: ElementRef;
    showAnimation: boolean;
    scrollElement: Element;
    animateState: string;
    display: string;
    get class(): string;
    get state(): string;
    get disabled(): boolean;
    _onScroll: Subscription;
    constructor(positionService: PositionService, tooltip: ElementRef, renderer2: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onShow(): void;
    onHide(): void;
    onHidden(): void;
    onAnimationEnd(event: any): void;
    updatePosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipComponent, "d-tooltip", never, { "content": "content"; "position": "position"; "triggerElementRef": "triggerElementRef"; "showAnimation": "showAnimation"; }, {}, never, never, false, never>;
}
